cURL
curl --request POST \ --url https://api.openfunnel.dev/api/v1/signal/get-signal-list \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <x-api-key>' \ --header 'X-User-ID: <x-user-id>' \ --data ' { "filters": { "signal_types": [ "<string>" ] }, "pagination": { "limit": 50, "offset": 0 } } '
{ "signals": [ { "signal_id": 123, "signal_name": "<string>", "signal_type": "<string>", "status": "<string>", "repeat": true, "icp": { "id": 123, "name": "<string>", "target_roles": [ "<string>" ], "min_employee": 123, "max_employee": 123, "min_funding": "<string>", "max_funding": "<string>", "location": [ "<string>" ], "sub_locations": [ "<string>" ], "people_locations": [ "<string>" ], "people_sub_locations": [ "<string>" ] }, "max_credit_limit": 123, "safe_crm_sync_enabled": true, "auto_enrich_people_emails": true } ], "total_count": 123, "pagination": { "limit": 123, "offset": 123, "total_count": 123, "has_more": true } }
Documentation IndexFetch the complete documentation index at: https://docs.openfunnel.dev/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.openfunnel.dev/llms.txt
Use this file to discover all available pages before exploring further.
Optional filters to apply when querying signals. All filters are combined with AND logic.
Show child attributes
Pagination parameters for the request
Successful Response
Paginated response for signal list.
Pagination metadata (included when pagination is requested)